%
% anyremote configuration file for kdetv management (Server-mode Bemused emulation)
% Prerequisites: Bemused client installed on cell phone
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no

GuiAppName=KdeTV
GuiAppBinary=kdetv
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep kdetv`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=kdetv.png
GuiAppType=Application
GuiAppProtocols=Bemused
GuiAppDesc=kdetv is a KDE application to watch TV on the desktop.

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(BEMUSED_SETUP);
	
(Connect)=\
	Make(mode,kdetv);

[Mode]=kdetv

(EnterMode)=Exec(echo 'A=`dcop|grep kdetv`;if [ "x$A" == "x" ]; then kdetv; fi'|bash -f -s);

EXIT=Exec(echo 'D=`dcop|grep kdetv`;dcop $D MainApplication-Interface quit;'|bash -f -s)
FADE=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface setVolume 0'|bash -f -s)
FFWD=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelUp'|bash -f -s)
INF2=Send(string,INF2ACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);ExecAndSend(string,echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelNumber;dcop $D KdetvIface channelName'|bash -f -s);Send(bytes,0,0)
INFO=Send(string,INFOACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);ExecAndSend(string,echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelNumber;dcop $D KdetvIface channelName'|bash -f -s)
NEXT=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelUp'|bash -f -s)
PLAY=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvViewIface toggleFullScreen'|bash -f -s)
PREV=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelDown'|bash -f -s)
RWND=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface channelDown'|bash -f -s)
VOLM($$)=Exec(echo 'D=`dcop|grep kdetv`;dcop $D KdetvIface setVolume $(Param)'|bash -f -s);

%PAUS=Exec()
%REPT=Exec()
%SHFL=Exec()
%STOP=Exec()

PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%SEEK=
%SLCT=

[ModeEnd]
 
[End]
